<?php
/**
 *
 * @author：llbjj
 * @DateTime：2024/4/11 8:32
 * @Description：
 *
 */

namespace Application\Service\DB\Export;

use Interop\Container\ContainerInterface;

class Sas extends \Application\Service\DB\AbstractDb
{
    private array $categoryMapText = [
        0 => 'SAS',
        1 => '受试者进度表 - 横表',
        2 => '受试者进度表 - 纵表',
        3 => '表单日志',
        4 => '项目进度汇总',
    ];
    public function __construct($dbAdapter, ContainerInterface $container)
    {
        $this->tableName = 'yikeen_export_sas';
        parent::__construct($dbAdapter, $container);
    }

    public function getCategoryText(int $categoryId) : string
    {
        return $this->categoryMapText[$categoryId];
    }
}